> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Shield SVG

> A simple method, requires no authentication, that returns the shield svg(badge) to add in your website. It must have `API_Enable_Shields` enabled.

### Changelog
| Version      | Description |
| ---------------- | ------------|
|0.55.0        | Added       |

## OpenAPI

````json GET /api/v1/shield.svg
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Miscellaneous"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/shield.svg": {
      "get": {
        "summary": "Shield SVG",
        "description": "A simple method, requires no authentication, that returns the shield svg(badge) to add in your website. It must have `API_Enable_Shields` enabled.\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|0.55.0        | Added       |",
        "operationId": "get-api-v1-shield.svg",
        "parameters": [
          {
            "name": "type",
            "in": "query",
            "description": "Can either be `online`, `user`, `channel`",
            "schema": {
              "type": "string"
            },
            "example": "online"
          },
          {
            "name": "icon",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "example": "false"
          },
          {
            "name": "channel",
            "in": "query",
            "description": "Name of the channel",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "example": "general"
          },
          {
            "name": "name",
            "in": "query",
            "description": "Name to show",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "example": "Rocket.Chat"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "object"
                },
                "examples": {
                  "Example": {
                    "value": "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"141\" height=\"20\"> <linearGradient id=\"b\" x2=\"0\" y2=\"100%\"> <stop offset=\"0\" stop-color=\"#bbb\" stop-opacity=\".1\"/> <stop offset=\"1\" stop-opacity=\".1\"/> </linearGradient> <mask id=\"a\"> <rect width=\"141\" height=\"20\" rx=\"3\" fill=\"#fff\"/> </mask> <g mask=\"url(#a)\"> <path fill=\"#555\" d=\"M0 0h67v20H0z\"/> <path fill=\"#4c1\" d=\"M67 0h74v20H67z\"/> <path fill=\"url(#b)\" d=\"M0 0h141v20H0z\"/> </g> <image x=\"5\" y=\"3\" width=\"14\" height=\"14\" xlink:href=\"/assets/favicon.svg\"/> <g fill=\"#fff\" font-family=\"DejaVu Sans,Verdana,Geneva,sans-serif\" font-size=\"11\"> <text x=\"24\" y=\"15\" fill=\"#010101\" fill-opacity=\".3\">Rocket</text> <text x=\"24\" y=\"14\">Rocket</text> <text x=\"74\" y=\"15\" fill=\"#010101\" fill-opacity=\".3\">JOIN CHAT</text> <text x=\"74\" y=\"14\">JOIN CHAT</text> </g> </svg>"
                  }
                }
              }
            },
            "headers": {
              "Content-Type": {
                "schema": {
                  "type": "string",
                  "example": "image/svg+xml;charset=utf-8"
                },
                "description": "image/svg+xml;charset=utf-8"
              }
            }
          }
        }
      }
    }
  }
}
````

